Module java.base
Package java.nio.file

## Class FileSystemAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.nio.file.FileSystemAlreadyExistsException

- All Implemented Interfaces:
    `Serializable`

      public class FileSystemAlreadyExistsException
      extends RuntimeException

  Runtime exception thrown when an attempt is made to create a file system that already exists.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSystemAlreadyExistsException()` | Constructs an instance of this class.
    `FileSystemAlreadyExistsException​(String msg)` | Constructs an instance of this class.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemAlreadyExistsException

          public FileSystemAlreadyExistsException()

      Constructs an instance of this class.

    - #### FileSystemAlreadyExistsException

          public FileSystemAlreadyExistsException​(String msg)

      Constructs an instance of this class.
      Parameters:
        `msg` - the detail message